<html>
<head>
<title>Ogre::TerrainLayerDeclaration Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="structOgre_1_1TerrainLayerDeclaration.html">TerrainLayerDeclaration</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::TerrainLayerDeclaration Struct Reference<div class="ingroups"><a class="el" href="group__Terrain.html">Terrain</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::TerrainLayerDeclaration" -->
<p>The definition of the information each layer will contain in this terrain.  
 <a href="structOgre_1_1TerrainLayerDeclaration.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreTerrainMaterialGenerator_8h_source.html">OgreTerrainMaterialGenerator.h</a>&gt;</code></p>

<p><a href="structOgre_1_1TerrainLayerDeclaration-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1TerrainLayerDeclaration.html#a14a97c038823d9e5dab43d9a2d9d432d">operator==</a> (const <a class="el" href="structOgre_1_1TerrainLayerDeclaration.html">TerrainLayerDeclaration</a> &amp;dcl) const </td></tr>
<tr><td colspan="2"><h2><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__Terrain.html#gadf90591c883d93190405f52ca11ef600">TerrainLayerSamplerList</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1TerrainLayerDeclaration.html#a3beefe92183cb240f5810553909f7bde">samplers</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__Terrain.html#gaed5c69e4a57dade51d33e835d0702660">TerrainLayerSamplerElementList</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1TerrainLayerDeclaration.html#a4eaf6c95757b0031e0e7191632bb4fd0">elements</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>The definition of the information each layer will contain in this terrain. </p>
<p>All layers must contain the same structure of information, although the input textures can be different per layer instance. </p>

<p>Definition at line <a class="el" href="OgreTerrainMaterialGenerator_8h_source.html#l00125">125</a> of file <a class="el" href="OgreTerrainMaterialGenerator_8h_source.html">OgreTerrainMaterialGenerator.h</a>.</p>
</div><hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a14a97c038823d9e5dab43d9a2d9d432d"></a><!-- doxytag: member="Ogre::TerrainLayerDeclaration::operator==" ref="a14a97c038823d9e5dab43d9a2d9d432d" args="(const TerrainLayerDeclaration &amp;dcl) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::TerrainLayerDeclaration::operator== </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="structOgre_1_1TerrainLayerDeclaration.html">TerrainLayerDeclaration</a> &amp;&#160;</td>
          <td class="paramname"><em>dcl</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreTerrainMaterialGenerator_8h_source.html#l00130">130</a> of file <a class="el" href="OgreTerrainMaterialGenerator_8h_source.html">OgreTerrainMaterialGenerator.h</a>.</p>

<p>References <a class="el" href="OgreTerrainMaterialGenerator_8h_source.html#l00128">elements</a>, and <a class="el" href="OgreTerrainMaterialGenerator_8h_source.html#l00127">samplers</a>.</p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a4eaf6c95757b0031e0e7191632bb4fd0"></a><!-- doxytag: member="Ogre::TerrainLayerDeclaration::elements" ref="a4eaf6c95757b0031e0e7191632bb4fd0" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__Terrain.html#gaed5c69e4a57dade51d33e835d0702660">TerrainLayerSamplerElementList</a> <a class="el" href="structOgre_1_1TerrainLayerDeclaration.html#a4eaf6c95757b0031e0e7191632bb4fd0">Ogre::TerrainLayerDeclaration::elements</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreTerrainMaterialGenerator_8h_source.html#l00128">128</a> of file <a class="el" href="OgreTerrainMaterialGenerator_8h_source.html">OgreTerrainMaterialGenerator.h</a>.</p>

<p>Referenced by <a class="el" href="OgreTerrainMaterialGenerator_8h_source.html#l00130">operator==()</a>.</p>

</div>
</div>
<a class="anchor" id="a3beefe92183cb240f5810553909f7bde"></a><!-- doxytag: member="Ogre::TerrainLayerDeclaration::samplers" ref="a3beefe92183cb240f5810553909f7bde" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__Terrain.html#gadf90591c883d93190405f52ca11ef600">TerrainLayerSamplerList</a> <a class="el" href="structOgre_1_1TerrainLayerDeclaration.html#a3beefe92183cb240f5810553909f7bde">Ogre::TerrainLayerDeclaration::samplers</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreTerrainMaterialGenerator_8h_source.html#l00127">127</a> of file <a class="el" href="OgreTerrainMaterialGenerator_8h_source.html">OgreTerrainMaterialGenerator.h</a>.</p>

<p>Referenced by <a class="el" href="OgreTerrainMaterialGenerator_8h_source.html#l00130">operator==()</a>.</p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreTerrainMaterialGenerator_8h_source.html">OgreTerrainMaterialGenerator.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:12
</p>
</body>
</html>
